summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-09-11 00:52:24 -0400
committerTim Harder <radhermit@gentoo.org>2017-09-11 01:14:30 -0400
commit1b7248389f6e3fc73d2ee2698f0b83ae2275a7ce (patch)
treeb687c2c8013a2ed27a6793b656053f141f4e0a2a
parentnet-irc/weechat: stabilize 1.9 for amd64/x86 (diff)
downloadgentoo-1b7248389f6e3fc73d2ee2698f0b83ae2275a7ce.tar.gz
gentoo-1b7248389f6e3fc73d2ee2698f0b83ae2275a7ce.tar.bz2
gentoo-1b7248389f6e3fc73d2ee2698f0b83ae2275a7ce.zip
net-irc/weechat: remove old
-rw-r--r--net-irc/weechat/Manifest4
-rw-r--r--net-irc/weechat/files/weechat-1.7-ruby24.patch20
-rw-r--r--net-irc/weechat/weechat-1.4-r1.ebuild144
-rw-r--r--net-irc/weechat/weechat-1.7-r1.ebuild141
-rw-r--r--net-irc/weechat/weechat-1.7.1.ebuild141
-rw-r--r--net-irc/weechat/weechat-1.8.ebuild138
6 files changed, 0 insertions, 588 deletions
diff --git a/net-irc/weechat/Manifest b/net-irc/weechat/Manifest
index 4d3fadaf8b2..78426aeb441 100644
--- a/net-irc/weechat/Manifest
+++ b/net-irc/weechat/Manifest
@@ -1,5 +1 @@
-DIST weechat-1.4.tar.bz2 2464362 SHA256 e06d9949ccececdd9692c95c41304c2f7fe9ec47b5eedd0d0a8529f6a3c1ddd4 SHA512 4c4bf25da513c25a16b24d94c1a6971db12d5cf168c83aa97570ffff53c634f7b25e92f1dbe54fefd09eeb69ece9ddc4be115bb6f6fc078ef7682dcb1df21f04 WHIRLPOOL 1db202131c1cd68e0f436f2e316ad73d0887d48533c417c1446a671bc620fdaaedb6198ac23876d62a51458ab55231d528635fc4e7fa2aa0067c60f656e3d6e5
-DIST weechat-1.7.1.tar.xz 1836844 SHA256 3f7e04793ce21796369199573d84a04ea23313942af880d2c9600bdc73571c30 SHA512 4aba380704ab5f611d923a461aa17cac076a18f92a6bb8129daf5f212536672267cadcc679befbcadb48d5044e4bf973f93982d9d3c500cd9d9e12dba4dbfbba WHIRLPOOL 6c2e2d687be4600e8d875e4c305bf2a432948d24d7a0095555bcb01fa6b4f8ac8d7180f67da010c2baf46d9bbd97e33fbbb49f63a25586a3e1a7cbb7daee8897
-DIST weechat-1.7.tar.xz 1837004 SHA256 599348337a4bff179bf50888dad135751fa401538ebaadc59831d2223be52db3 SHA512 1de4af1e6b8189a96d830480f062bb1a92626f3ccf4ef0d73d081d72472e9a0840a4776403846032582e0387b6df8b8d7dbbce2ca309263554facd3bc6a5b050 WHIRLPOOL 9f62824e6dccf4e4d95422dd2ca6e2e135f4556fa697c11ad6004047375505612082ba4299ba1b4668a32cbffbad67f9d129c33f343287222dad34263ff32505
-DIST weechat-1.8.tar.xz 1871964 SHA256 b65fc54e965399e31a30448b5f6c8067fcd6ad369e9908ff7c1fd45669c5e017 SHA512 34d5aa05e7a9df459c7ade7f654f56561838d59c2d553432697213a5d90614f55204364c4711e28aadd3dbae2cea733dfc6cafeffa9fca87a33eef0e2647a18f WHIRLPOOL 158d9628cc2d3a7792be64a4c5fb97bd4d35f5dd6fb8d96a901a8958468bcaf1de394812862c601e0abaa00ea589f8572618834847f48efcb43146f572c9ca7e
DIST weechat-1.9.tar.xz 1877604 SHA256 cc85eb299a5a979bcfda390c20bcb9dd8fd7b25a32fb01e5f128e13c51fa7dff SHA512 1f71173207b948db8d782816d0b4a71cc2447cbc16affdf4d48be850083878aad0772455d89820a913b8339b3aac8a300b024b32100301b1bc1a192319985bdc WHIRLPOOL b64ff40040b386e0490bc3a4d0a865bc6cf2221da8ace376252733b40f013790afcc6ed95f0de9e47fdee9febe2b43d68335986eb8fa7f774b24010a0102dd9b
diff --git a/net-irc/weechat/files/weechat-1.7-ruby24.patch b/net-irc/weechat/files/weechat-1.7-ruby24.patch
deleted file mode 100644
index 6ad5b51f2ff..00000000000
--- a/net-irc/weechat/files/weechat-1.7-ruby24.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- weechat-1.7/cmake/FindRuby.cmake
-+++ weechat-1.7/cmake/FindRuby.cmake
-@@ -33,7 +33,7 @@
-
- find_package(PkgConfig)
- if(PKG_CONFIG_FOUND)
-- pkg_search_module(RUBY ruby-2.3 ruby-2.2 ruby-2.1 ruby-2.0 ruby-1.9 ruby-1.8)
-+ pkg_search_module(RUBY ruby-2.4 ruby-2.3 ruby-2.2 ruby-2.1 ruby-2.0 ruby-1.9 ruby-1.8)
- endif()
-
- if(RUBY_FOUND)
-@@ -41,7 +41,7 @@
- mark_as_advanced(RUBY_LIB)
- else()
- find_program(RUBY_EXECUTABLE
-- NAMES ruby2.3.0 ruby230 ruby2.3 ruby23 ruby2.2.3 ruby223 ruby2.2.2 ruby222 ruby2.2.1 ruby221 ruby2.2.0 ruby220 ruby2.2 ruby22 ruby2.1.7 ruby217 ruby2.1.6 ruby216 ruby2.1.5 ruby215 ruby2.1.4 ruby214 ruby2.1.3 ruby213 ruby2.1.2 ruby212 ruby2.1.1 ruby211 ruby2.1.0 ruby210 ruby2.1 ruby21 ruby2.0 ruby20 ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
-+ NAMES ruby2.4.0 ruby240 ruby2.4 ruby2.3.0 ruby230 ruby2.3 ruby23 ruby2.2.3 ruby223 ruby2.2.2 ruby222 ruby2.2.1 ruby221 ruby2.2.0 ruby220 ruby2.2 ruby22 ruby2.1.7 ruby217 ruby2.1.6 ruby216 ruby2.1.5 ruby215 ruby2.1.4 ruby214 ruby2.1.3 ruby213 ruby2.1.2 ruby212 ruby2.1.1 ruby211 ruby2.1.0 ruby210 ruby2.1 ruby21 ruby2.0 ruby20 ruby1.9.3 ruby193 ruby1.9.2 ruby192 ruby1.9.1 ruby191 ruby1.9 ruby19 ruby1.8 ruby18 ruby
- PATHS /usr/bin /usr/local/bin /usr/pkg/bin
- )
- if(RUBY_EXECUTABLE)
diff --git a/net-irc/weechat/weechat-1.4-r1.ebuild b/net-irc/weechat/weechat-1.4-r1.ebuild
deleted file mode 100644
index 93fc0cd42d8..00000000000
--- a/net-irc/weechat/weechat-1.4-r1.ebuild
+++ /dev/null
@@ -1,144 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-CMAKE_MAKEFILE_GENERATOR=emake
-inherit eutils python-single-r1 multilib cmake-utils
-
-if [[ ${PV} == "9999" ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/weechat/weechat.git"
-else
- SRC_URI="https://weechat.org/files/src/${P}.tar.bz2"
- KEYWORDS="amd64 x86"
-fi
-
-DESCRIPTION="Portable and multi-interface IRC client"
-HOMEPAGE="http://weechat.org/"
-
-LICENSE="GPL-3"
-SLOT="0"
-
-NETWORKS="+irc"
-PLUGINS="+alias +charset +exec +fifo +logger +relay +scripts +spell +trigger +xfer"
-#INTERFACES="+ncurses gtk"
-# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
-SCRIPT_LANGS="guile lua +perl +python ruby tcl"
-LANGS=" cs de es fr hu it ja pl pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
-#REQUIRED_USE=" || ( ncurses gtk )"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="
- dev-libs/libgcrypt:0=
- net-misc/curl[ssl]
- sys-libs/ncurses:0=
- sys-libs/zlib
- charset? ( virtual/libiconv )
- guile? ( dev-scheme/guile:12 )
- lua? ( dev-lang/lua:0[deprecated] )
- nls? ( virtual/libintl )
- perl? ( dev-lang/perl:= )
- python? ( ${PYTHON_DEPS} )
- ruby? ( || ( dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 dev-lang/ruby:2.0 ) )
- ssl? ( net-libs/gnutls )
- spell? ( app-text/aspell )
- tcl? ( >=dev-lang/tcl-8.4.15:0= )
-"
-# ncurses? ( sys-libs/ncurses )
-# gtk? ( x11-libs/gtk+:2 )
-DEPEND="${RDEPEND}
- doc? (
- app-text/asciidoc
- dev-util/source-highlight
- )
- nls? ( >=sys-devel/gettext-0.15 )
- test? ( dev-util/cpputest )
-"
-
-DOCS="AUTHORS.asciidoc ChangeLog.asciidoc ReleaseNotes.asciidoc README.asciidoc"
-
-# tests need to be fixed to not use system plugins if weechat is already installed
-RESTRICT="test"
-
-PATCHES=( "${FILESDIR}"/${PN}-1.2-tinfo.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- local i
-
- epatch "${PATCHES[@]}"
-
- # fix libdir placement
- sed -i \
- -e "s:lib/:$(get_libdir)/:g" \
- -e "s:lib\":$(get_libdir)\":g" \
- CMakeLists.txt || die "sed failed"
-
- # install only required translations
- for i in ${LANGS} ; do
- if ! use linguas_${i} ; then
- sed -i \
- -e "/${i}.po/d" \
- po/CMakeLists.txt || die
- fi
- done
-
- # install only required documentation ; en always
- for i in `grep ADD_SUBDIRECTORY doc/CMakeLists.txt \
- | sed -e 's/.*ADD_SUBDIRECTORY( \(..\) ).*/\1/' -e '/en/d'`; do
- if ! use linguas_${i} ; then
- sed -i \
- -e '/ADD_SUBDIRECTORY( '${i}' )/d' \
- doc/CMakeLists.txt || die
- fi
- done
-}
-
-src_configure() {
- # $(cmake-utils_use_enable gtk)
- # $(cmake-utils_use_enable ncurses)
- local mycmakeargs=(
- "-DENABLE_NCURSES=ON"
- "-DENABLE_LARGEFILE=ON"
- "-DENABLE_DEMO=OFF"
- "-DENABLE_GTK=OFF"
- "-DENABLE_JAVASCRIPT=OFF"
- $(cmake-utils_use_enable alias)
- $(cmake-utils_use_enable doc)
- $(cmake-utils_use_enable charset)
- $(cmake-utils_use_enable exec)
- $(cmake-utils_use_enable fifo)
- $(cmake-utils_use_enable guile)
- $(cmake-utils_use_enable irc)
- $(cmake-utils_use_enable logger)
- $(cmake-utils_use_enable lua)
- $(cmake-utils_use_enable nls)
- $(cmake-utils_use_enable perl)
- $(cmake-utils_use_enable python)
- $(cmake-utils_use_enable relay)
- $(cmake-utils_use_enable ruby)
- $(cmake-utils_use_enable scripts)
- $(cmake-utils_use_enable scripts script)
- $(cmake-utils_use_enable spell ASPELL)
- $(cmake-utils_use_enable ssl GNUTLS)
- $(cmake-utils_use_enable tcl)
- $(cmake-utils_use_enable test TESTS)
- $(cmake-utils_use_enable trigger)
- $(cmake-utils_use_enable xfer)
- )
-
- if use python; then
- python_export PYTHON_LIBPATH
- mycmakeargs+=(
- -DPYTHON_EXECUTABLE="${PYTHON}"
- -DPYTHON_LIBRARY="${PYTHON_LIBPATH}"
- )
- fi
-
- cmake-utils_src_configure
-}
diff --git a/net-irc/weechat/weechat-1.7-r1.ebuild b/net-irc/weechat/weechat-1.7-r1.ebuild
deleted file mode 100644
index 176f7f88d8c..00000000000
--- a/net-irc/weechat/weechat-1.7-r1.ebuild
+++ /dev/null
@@ -1,141 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-CMAKE_MAKEFILE_GENERATOR=emake
-inherit python-single-r1 cmake-utils
-
-if [[ ${PV} == "9999" ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/weechat/weechat.git"
-else
- SRC_URI="https://weechat.org/files/src/${P}.tar.xz"
- KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="Portable and multi-interface IRC client"
-HOMEPAGE="http://weechat.org/"
-
-LICENSE="GPL-3"
-SLOT="0"
-
-NETWORKS="+irc"
-PLUGINS="+alias +charset +exec +fifo +logger +relay +scripts +spell +trigger +xfer"
-# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
-SCRIPT_LANGS="guile lua +perl +python ruby tcl"
-LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="
- dev-libs/libgcrypt:0=
- net-misc/curl[ssl]
- sys-libs/ncurses:0=
- sys-libs/zlib
- charset? ( virtual/libiconv )
- guile? ( >=dev-scheme/guile-2.0 )
- lua? ( dev-lang/lua:0[deprecated] )
- nls? ( virtual/libintl )
- perl? ( dev-lang/perl:= )
- python? ( ${PYTHON_DEPS} )
- ruby? ( || ( dev-lang/ruby:2.4 dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 ) )
- ssl? ( net-libs/gnutls )
- spell? ( app-text/aspell )
- tcl? ( >=dev-lang/tcl-8.4.15:0= )
-"
-DEPEND="${RDEPEND}
- doc? (
- >=dev-ruby/asciidoctor-1.5.4
- dev-util/source-highlight
- )
- nls? ( >=sys-devel/gettext-0.15 )
- test? ( dev-util/cpputest )
-"
-
-DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
-
-# tests need to be fixed to not use system plugins if weechat is already installed
-RESTRICT="test"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.2-tinfo.patch
- "${FILESDIR}"/${PN}-1.7-ruby24.patch
-)
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- # fix libdir placement
- sed -i \
- -e "s:lib/:$(get_libdir)/:g" \
- -e "s:lib\":$(get_libdir)\":g" \
- CMakeLists.txt || die "sed failed"
-
- # install only required translations
- local i
- for i in ${LANGS} ; do
- if ! use linguas_${i} ; then
- sed -i \
- -e "/${i}.po/d" \
- po/CMakeLists.txt || die
- fi
- done
-
- # install only required documentation ; en always
- for i in $(grep add_subdirectory doc/CMakeLists.txt \
- | sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
- if ! use linguas_${i} ; then
- sed -i \
- -e '/add_subdirectory('${i}')/d' \
- doc/CMakeLists.txt || die
- fi
- done
-
- # install docs in correct directory
- sed -i "s#\${SHAREDIR}/doc/\${PROJECT_NAME}#\0-${PV}/html#" doc/*/CMakeLists.txt || die
-}
-
-src_configure() {
- local mycmakeargs=(
- -DENABLE_NCURSES=ON
- -DENABLE_LARGEFILE=ON
- -DENABLE_JAVASCRIPT=OFF
- -DENABLE_ALIAS=$(usex alias)
- -DENABLE_DOC=$(usex doc)
- -DENABLE_CHARSET=$(usex charset)
- -DENABLE_EXEC=$(usex exec)
- -DENABLE_FIFO=$(usex fifo)
- -DENABLE_GUILE=$(usex guile)
- -DENABLE_IRC=$(usex irc)
- -DENABLE_LOGGER=$(usex logger)
- -DENABLE_LUA=$(usex lua)
- -DENABLE_NLS=$(usex nls)
- -DENABLE_PERL=$(usex perl)
- -DENABLE_PYTHON=$(usex python)
- -DENABLE_RELAY=$(usex relay)
- -DENABLE_RUBY=$(usex ruby)
- -DENABLE_SCRIPTS=$(usex scripts)
- -DENABLE_SCRIPT=$(usex scripts)
- -DENABLE_ASPELL=$(usex spell)
- -DENABLE_GNUTLS=$(usex ssl)
- -DENABLE_TCL=$(usex tcl)
- -DENABLE_TESTS=$(usex test)
- -DENABLE_TRIGGER=$(usex trigger)
- -DENABLE_XFER=$(usex xfer)
- )
-
- if use python; then
- python_export PYTHON_LIBPATH
- mycmakeargs+=(
- -DPYTHON_EXECUTABLE="${PYTHON}"
- -DPYTHON_LIBRARY="${PYTHON_LIBPATH}"
- )
- fi
-
- cmake-utils_src_configure
-}
diff --git a/net-irc/weechat/weechat-1.7.1.ebuild b/net-irc/weechat/weechat-1.7.1.ebuild
deleted file mode 100644
index 670c755cecc..00000000000
--- a/net-irc/weechat/weechat-1.7.1.ebuild
+++ /dev/null
@@ -1,141 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-CMAKE_MAKEFILE_GENERATOR=emake
-inherit python-single-r1 cmake-utils
-
-if [[ ${PV} == "9999" ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/weechat/weechat.git"
-else
- SRC_URI="https://weechat.org/files/src/${P}.tar.xz"
- KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="Portable and multi-interface IRC client"
-HOMEPAGE="http://weechat.org/"
-
-LICENSE="GPL-3"
-SLOT="0"
-
-NETWORKS="+irc"
-PLUGINS="+alias +charset +exec +fifo +logger +relay +scripts +spell +trigger +xfer"
-# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
-SCRIPT_LANGS="guile lua +perl +python ruby tcl"
-LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="
- dev-libs/libgcrypt:0=
- net-misc/curl[ssl]
- sys-libs/ncurses:0=
- sys-libs/zlib
- charset? ( virtual/libiconv )
- guile? ( >=dev-scheme/guile-2.0 )
- lua? ( dev-lang/lua:0[deprecated] )
- nls? ( virtual/libintl )
- perl? ( dev-lang/perl:= )
- python? ( ${PYTHON_DEPS} )
- ruby? ( || ( dev-lang/ruby:2.4 dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 ) )
- ssl? ( net-libs/gnutls )
- spell? ( app-text/aspell )
- tcl? ( >=dev-lang/tcl-8.4.15:0= )
-"
-DEPEND="${RDEPEND}
- doc? (
- >=dev-ruby/asciidoctor-1.5.4
- dev-util/source-highlight
- )
- nls? ( >=sys-devel/gettext-0.15 )
- test? ( dev-util/cpputest )
-"
-
-DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
-
-# tests need to be fixed to not use system plugins if weechat is already installed
-RESTRICT="test"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.2-tinfo.patch
- "${FILESDIR}"/${PN}-1.7-ruby24.patch
-)
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- # fix libdir placement
- sed -i \
- -e "s:lib/:$(get_libdir)/:g" \
- -e "s:lib\":$(get_libdir)\":g" \
- CMakeLists.txt || die "sed failed"
-
- # install only required translations
- local i
- for i in ${LANGS} ; do
- if ! use linguas_${i} ; then
- sed -i \
- -e "/${i}.po/d" \
- po/CMakeLists.txt || die
- fi
- done
-
- # install only required documentation ; en always
- for i in $(grep add_subdirectory doc/CMakeLists.txt \
- | sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
- if ! use linguas_${i} ; then
- sed -i \
- -e '/add_subdirectory('${i}')/d' \
- doc/CMakeLists.txt || die
- fi
- done
-
- # install docs in correct directory
- sed -i "s#\${SHAREDIR}/doc/\${PROJECT_NAME}#\0-${PV}/html#" doc/*/CMakeLists.txt || die
-}
-
-src_configure() {
- local mycmakeargs=(
- -DENABLE_NCURSES=ON
- -DENABLE_LARGEFILE=ON
- -DENABLE_JAVASCRIPT=OFF
- -DENABLE_ALIAS=$(usex alias)
- -DENABLE_DOC=$(usex doc)
- -DENABLE_CHARSET=$(usex charset)
- -DENABLE_EXEC=$(usex exec)
- -DENABLE_FIFO=$(usex fifo)
- -DENABLE_GUILE=$(usex guile)
- -DENABLE_IRC=$(usex irc)
- -DENABLE_LOGGER=$(usex logger)
- -DENABLE_LUA=$(usex lua)
- -DENABLE_NLS=$(usex nls)
- -DENABLE_PERL=$(usex perl)
- -DENABLE_PYTHON=$(usex python)
- -DENABLE_RELAY=$(usex relay)
- -DENABLE_RUBY=$(usex ruby)
- -DENABLE_SCRIPTS=$(usex scripts)
- -DENABLE_SCRIPT=$(usex scripts)
- -DENABLE_ASPELL=$(usex spell)
- -DENABLE_GNUTLS=$(usex ssl)
- -DENABLE_TCL=$(usex tcl)
- -DENABLE_TESTS=$(usex test)
- -DENABLE_TRIGGER=$(usex trigger)
- -DENABLE_XFER=$(usex xfer)
- )
-
- if use python; then
- python_export PYTHON_LIBPATH
- mycmakeargs+=(
- -DPYTHON_EXECUTABLE="${PYTHON}"
- -DPYTHON_LIBRARY="${PYTHON_LIBPATH}"
- )
- fi
-
- cmake-utils_src_configure
-}
diff --git a/net-irc/weechat/weechat-1.8.ebuild b/net-irc/weechat/weechat-1.8.ebuild
deleted file mode 100644
index 6a2b364909d..00000000000
--- a/net-irc/weechat/weechat-1.8.ebuild
+++ /dev/null
@@ -1,138 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-CMAKE_MAKEFILE_GENERATOR=emake
-inherit python-single-r1 cmake-utils
-
-if [[ ${PV} == "9999" ]] ; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/weechat/weechat.git"
-else
- SRC_URI="https://weechat.org/files/src/${P}.tar.xz"
- KEYWORDS="~amd64"
-fi
-
-DESCRIPTION="Portable and multi-interface IRC client"
-HOMEPAGE="http://weechat.org/"
-
-LICENSE="GPL-3"
-SLOT="0"
-
-NETWORKS="+irc"
-PLUGINS="+alias +charset +exec +fifo +logger +relay +scripts +spell +trigger +xfer"
-# dev-lang/v8 was dropped from Gentoo so we can't enable javascript support
-SCRIPT_LANGS="guile lua +perl +python ruby tcl"
-LANGS=" cs de es fr hu it ja pl pt pt_BR ru tr"
-IUSE="doc nls +ssl test ${LANGS// / linguas_} ${SCRIPT_LANGS} ${PLUGINS} ${INTERFACES} ${NETWORKS}"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="
- dev-libs/libgcrypt:0=
- net-misc/curl[ssl]
- sys-libs/ncurses:0=
- sys-libs/zlib
- charset? ( virtual/libiconv )
- guile? ( >=dev-scheme/guile-2.0 )
- lua? ( dev-lang/lua:0[deprecated] )
- nls? ( virtual/libintl )
- perl? ( dev-lang/perl:= )
- python? ( ${PYTHON_DEPS} )
- ruby? ( || ( dev-lang/ruby:2.4 dev-lang/ruby:2.3 dev-lang/ruby:2.2 dev-lang/ruby:2.1 ) )
- ssl? ( net-libs/gnutls )
- spell? ( app-text/aspell )
- tcl? ( >=dev-lang/tcl-8.4.15:0= )
-"
-DEPEND="${RDEPEND}
- doc? (
- >=dev-ruby/asciidoctor-1.5.4
- dev-util/source-highlight
- )
- nls? ( >=sys-devel/gettext-0.15 )
- test? ( dev-util/cpputest )
-"
-
-DOCS="AUTHORS.adoc ChangeLog.adoc Contributing.adoc ReleaseNotes.adoc README.adoc"
-
-# tests need to be fixed to not use system plugins if weechat is already installed
-RESTRICT="test"
-
-PATCHES=( "${FILESDIR}"/${PN}-1.2-tinfo.patch )
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
-
- # fix libdir placement
- sed -i \
- -e "s:lib/:$(get_libdir)/:g" \
- -e "s:lib\":$(get_libdir)\":g" \
- CMakeLists.txt || die "sed failed"
-
- # install only required translations
- local i
- for i in ${LANGS} ; do
- if ! use linguas_${i} ; then
- sed -i \
- -e "/${i}.po/d" \
- po/CMakeLists.txt || die
- fi
- done
-
- # install only required documentation ; en always
- for i in $(grep add_subdirectory doc/CMakeLists.txt \
- | sed -e 's/.*add_subdirectory(\(..\)).*/\1/' -e '/en/d'); do
- if ! use linguas_${i} ; then
- sed -i \
- -e '/add_subdirectory('${i}')/d' \
- doc/CMakeLists.txt || die
- fi
- done
-
- # install docs in correct directory
- sed -i "s#\${SHAREDIR}/doc/\${PROJECT_NAME}#\0-${PV}/html#" doc/*/CMakeLists.txt || die
-}
-
-src_configure() {
- local mycmakeargs=(
- -DENABLE_NCURSES=ON
- -DENABLE_LARGEFILE=ON
- -DENABLE_JAVASCRIPT=OFF
- -DENABLE_ALIAS=$(usex alias)
- -DENABLE_DOC=$(usex doc)
- -DENABLE_CHARSET=$(usex charset)
- -DENABLE_EXEC=$(usex exec)
- -DENABLE_FIFO=$(usex fifo)
- -DENABLE_GUILE=$(usex guile)
- -DENABLE_IRC=$(usex irc)
- -DENABLE_LOGGER=$(usex logger)
- -DENABLE_LUA=$(usex lua)
- -DENABLE_NLS=$(usex nls)
- -DENABLE_PERL=$(usex perl)
- -DENABLE_PYTHON=$(usex python)
- -DENABLE_RELAY=$(usex relay)
- -DENABLE_RUBY=$(usex ruby)
- -DENABLE_SCRIPTS=$(usex scripts)
- -DENABLE_SCRIPT=$(usex scripts)
- -DENABLE_ASPELL=$(usex spell)
- -DENABLE_GNUTLS=$(usex ssl)
- -DENABLE_TCL=$(usex tcl)
- -DENABLE_TESTS=$(usex test)
- -DENABLE_TRIGGER=$(usex trigger)
- -DENABLE_XFER=$(usex xfer)
- )
-
- if use python; then
- python_export PYTHON_LIBPATH
- mycmakeargs+=(
- -DPYTHON_EXECUTABLE="${PYTHON}"
- -DPYTHON_LIBRARY="${PYTHON_LIBPATH}"
- )
- fi
-
- cmake-utils_src_configure
-}